Index: trunk/admin/temi/Futura2/index.php
===================================================================
--- trunk/admin/temi/Futura2/index.php	(revision 359)
+++ trunk/admin/temi/Futura2/index.php	(revision 360)
@@ -16,13 +16,21 @@
 }
 
-include("header.php");
+
+
+include_once("header.php");
 $nometema=$tema;
+#require_once("class/db/db.php"); //classe db
+global $tema,$id_comune,$descr_cons,$multicomune,$dbi,$prefix,$currentlang,$ops,$id_sez,$id_cons,$id_cons_gen;
+include_once("modules/Elezioni/query.sql");
+#if(($tema='Futura2' and !$id_sez) or $_SESSION['id_cons']!=$id_cons) {Header("Location: admin.php?id_comune=$id_comune&op=logout&is=$id_sez"); die();}
+#die( "OP: $op - aid:".$_SESSION['aid']." - tema:$tema");
+include_once("modules/Elezioni/ele_spoglio.php");
+$row=setconsultazione(); 
+$sql="select id_sez from ".$prefix."_ele_operatori where aid='$aid' and id_cons=$id_cons";
+$res = $dbi->prepare("$sql");
+$res->execute();
 
-#require_once("class/db/db.php"); //classe db
-global $tema,$id_comune,$descr_cons,$multicomune,$dbi,$prefix,$currentlang,$ops,$id_sez;
-include_once("modules/Elezioni/query.sql");
-if(($tema='Futura2' and !$id_sez) or $_SESSION['id_cons']!=$id_cons) {Header("Location: admin.php?id_comune=$id_comune&op=logout&is=$id_sez"); die();}
+list($id_sez) = $res->fetch(PDO::FETCH_NUM);#include("TEST:$id_sez:$sql:");
 
-$row=setconsultazione(); 
 if(isset($row[0])) {
 	$tipo_cons=$row[0]; $descr_cons=$row[1]; $id_cons_gen=$row[2];
@@ -37,7 +45,4 @@
 }
 
-# colore tema mobile
-
-
 include("temi/$tema/config.php");
 
@@ -50,5 +55,5 @@
 
 list($descr_com) = $res->fetch(PDO::FETCH_NUM);
-include_once("header.php");
+#include_once("header.php");
 testata();
 
@@ -59,265 +64,93 @@
 global $op,$tema,$dbi,$nometema,$file,$bgcolor,$sitename,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
 global $id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av,$votog,$genere,$aid,$bgcolor1,$language;
+
 include("temi/$tema/function_theme.php");
-#$op='informazioni';
-#$logo= "<img src=\"admin.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" alt=\"logo\" width=\"70\" align=\"left\"/>";
 $logo='';
-#echo"togliere combo consultazioni e impostare su consultazione predefinita e sezione fissata su autorizza operatori (nuovo tipo: per unica sezione - spostare voci di menu, affluenze, gruppi. liste al posto della combo e togliere menu verticale)";
+
+echo "<SCRIPT type=\"text/javascript\">\n";
+echo "function vai_cong(idrif){\n";
+echo "document.getElementById('frm').submit()\n";
+echo "}\n";
+echo "function vai_scelta(idrif){\n";
+echo "window.document.location.href=idrif\n";
+echo "}\n";
+echo "</script>\n"; 
+
+#
+if(!$ops) $ops=1;
 $sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
-	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
-        $descr_com =stripslashes($descr_com); 
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($descr_com) = $res->fetch(PDO::FETCH_NUM);
+$descr_com =stripslashes($descr_com); 
 
 echo '
 <div data-role="page" data-theme="a">
-	<div data-role="header" data-position="inline">';
-	
-	/*
-	if($op!="gruppo") 
-		echo '<a href="#" onClick="javascript:history.back()" data-role="button" data-icon="arrow-left">indietro</a>';
-	else 	echo '<a href="modules.php?tema=facebook" target="_blank" data-icon="off" data-role="button">Vers Web</a>';
-	*/
-	//
-	# se aperta o sezioni scrutinate 
-	# se non Ãš il menu di config o about sceglie elezione
-
-	   echo '<h2>Elezioni on line</h2>'; 
-
-#	   echo '<a href="admin.php?name=Elezioni&op=about&id_comune='.$id_comune.'&id_cons_gen='.$id_cons_gen.'" data-theme="c" data-icon="user">About</a>';
-	
-
-####### menu in alto
-# definizione attivo
-#echo "TEST: ".$_SESSION['BASE'];
-#echo "TEST: ".$_SERVER['REQUEST_URI'];
-#echo "TEST: ".$_SERVER['PHP_SELF']; 
-			$sql="select tipo from ".$prefix."_ele_controlli where id_sez='$id_sez' group by tipo";
-			$rese = $dbi->prepare("$sql");
-			$rese->execute();
-			$bordoa='';
-			$bordog='';
-			$bordol='';
-			while (list($tipo)=$rese->fetch(PDO::FETCH_NUM)) {
-				if ($tipo=='affluenze') $bordoa="style=\"border: 6px solid; border-color: rgb(255, 0, 0);\"";
-				if ($tipo=='gruppo') $bordog="style=\"border: 6px solid; border-color: rgb(255, 0, 0);\"";
-				if ($tipo=='lista') $bordol="style=\"border: 6px solid; border-color: rgb(255, 0, 0);\"";
-			}
-			if($rese->rowCount()) $segna="style=\"background-color: #dd0000;\""; else $segna='';
+<div data-role="header" data-position="inline">';
+echo '<h2 style="color: white;">Elezioni on line</h2>'; 
+$oggi=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-3,date("Y")));
+$sql="select t1.id_cons_gen,t1.descrizione from ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune=$id_comune and t1.data_fine>'$oggi' and t2.id_cons in (select id_cons from ".$prefix."_ele_operatori where aid='$aid' and id_sez>0 and permessi>0)";
+$rese = $dbi->prepare("$sql");
+$rese->execute();
+if ($rese->rowCount()>1){
+	echo "<form id=\"frm\" name=\"sceltacons\" data-ajax=\"false\" action=\"admin.php\">";  
+	echo "<input type=\"hidden\" name=\"id_comune=\" value=\"$id_comune\">";
+	echo "<input type=\"hidden\" name=\"ops=\" value=\"$ops\">";
+	echo "<select id=\"id_cong\" name=\"id_cons_gen\" onChange=\"vai_cong('id_cong');\">";
+	while (list($id_cons_gen2,$desc2)=$rese->fetch(PDO::FETCH_NUM)) {
+		$sel = ($id_cons_gen == $id_cons_gen2) ? "selected" : "";
+		echo "<option value=\"$id_cons_gen2\" $sel>";
+		echo $desc2;
+		echo "</option>"; 
+	}
+	echo "</select></form>";
+}
+$sql="select tipo from ".$prefix."_ele_controlli where id_sez='$id_sez' group by tipo";
+$rese = $dbi->prepare("$sql");
+$rese->execute();
+$bordoa='';
+$bordog='';
+$bordol=''; 
+while (list($tipo)=$rese->fetch(PDO::FETCH_NUM)) {
+	if ($tipo=='affluenze') $bordoa="style=\"border: 6px solid; border-color: rgb(255, 0, 0);\"";
+	if ($tipo=='gruppo' or $tipo=='referendum') $bordog="style=\"border: 6px solid; border-color: rgb(255, 0, 0);\"";
+	if ($tipo=='lista') $bordol="style=\"border: 6px solid; border-color: rgb(255, 0, 0);\"";
+}
+if($rese->rowCount()) $segna="style=\"background-color: #dd0000;\""; else $segna='';
 if($ops=="4" ) {$bgcolorg="yellow"; $tcolorg='blue';} else {$bgcolorg="grey"; $tcolorg='white';} #$active_gruppo=" class=\"ui-btn-active\""; else $active_gruppo='';
 if($ops=="3") {$bgcolorl="yellow"; $tcolorl='blue';} else {$bgcolorl="grey"; $tcolorl='white';} # $active_lista=" class=\"ui-btn-active\""; else $active_lista='';
 if($ops=="1") {$bgcolora="yellow"; $tcolora='blue';} else {$bgcolora="grey"; $tcolora='white';} # $active_aff=" class=\"ui-btn-active\""; else $active_aff='';
-/*if($op=="risultati" || $op=="affluenze_all" || $op=="gruppo_mob" || $op=="candidato_mob" || $op=="liste_mob" || $op=="votanti_mob") $active_ris=" class=\"ui-btn-active\""; else $active_ris='';
-if($op=="conf_mob" ) $active_conf=" class=\"ui-btn-active\""; else $active_conf='';
-if($op=="grafica_mob" ) $active_graf=" class=\"ui-btn-active\""; else $active_graf='';
-
-*/
 echo "</div>";
-
-
-# se non Ãš il menu di config o about sceglie elezione
-#if($op!="conf_mob" and $op!="about"){
-	echo'<div data-role="fieldcontain" style="text-align:center;">
-	<span style="text-align:center;width:100%;height:110px;background-color:#fff;color:#000;">'.$logo.' Comune di '.$descr_com.' <br>Consultazione: '.$descr_cons.'</span></div>';
-
-
+echo'<div data-role="fieldcontain" style="text-align:center;">
+<span style="text-align:center;width:100%;height:110px;background-color:#fff;color:#000;">'.$logo.' Comune di '.$descr_com.' <br><h2>Consultazione: '.$descr_cons.'</h2></span></div>';
 ###############
 	//************************************
 	// Menu spoglio
 	//************************************
-#echo "TEST : select id_sez from ".$prefix."_ele_operatori where id_cons='$id_cons' and aid='$aid' and id_comune='$id_comune'";
-	$sql="select id_sez from ".$prefix."_ele_operatori where id_cons='$id_cons' and aid='$aid' and id_comune='$id_comune'";
-	$sth = $dbi->prepare("$sql"); #echo $sql;
-	$sth->execute();	
-	list($id_sez)=$sth->fetch(PDO::FETCH_NUM);    
-	$sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine, colore  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
-	$result = $dbi->prepare("$sql");#echo $sql;
-	$result->execute();
-	list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine, $colore) = $result->fetch(PDO::FETCH_NUM);
-	echo "<div data-role=\"content\" data-theme=\"a\"><hr><table><tr><td align=\"center\" width=\"100\"  bgcolor=\"$colore\"><font size =\"4\" color=\"black\" align=\"left\"><b>Sezione<br>N. $num_sez</b></font></td><td><table><tr>";
-	echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=1\"><font color=\"$tcolora\">"._AFFLUENZE."</font></a></b></p></td>\n";
-	if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
-			echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\"><font color=\"$tcolorg\">"._GRUPPO."</font></a></b></p></td>\n";
-	}
-	if($genere==2 and $votog)
-		echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=4\"><font color=\"$tcolorg\">"._GRUPPO."</font></a></b></p></td>\n";
-	elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
-		echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol><p style=\"margin-left:10px;margin-right:10px;\"><b><a href=\"admin.php?id_cons_gen=$id_cons_gen&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_sede=$id_sede&amp;do=spoglio&amp;ops=3\"><font color=\"$tcolorl\">"._LISTA."</font></a></b></p></td>\n";
-	}
-	echo "</tr></table></td></tr></table><hr></div>\n";
-
-
+$sql="select id_sez from ".$prefix."_ele_operatori where id_cons='$id_cons' and aid='$aid' and id_comune='$id_comune'";
+$sth = $dbi->prepare("$sql"); #echo $sql;
+$sth->execute();	
+list($id_sez)=$sth->fetch(PDO::FETCH_NUM);    
+$sql="select id_cons,id_sez,id_sede,num_sez, maschi, femmine, colore  from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
+$result = $dbi->prepare("$sql");#echo $sql;
+$result->execute();
+list($id_cons2,$id_sez2,$id_sede,$num_sez, $maschi, $femmine, $colore) = $result->fetch(PDO::FETCH_NUM);
+echo "<div data-role=\"content\" data-theme=\"a\"><hr><table><tr><td align=\"center\" width=\"100\"  bgcolor=\"$colore\"><font size =\"4\" color=\"black\" align=\"left\"><b>Sezione<br>N. $num_sez</b></font></td><td><table><tr>";
+#<a href=\"admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1\"></a>
+echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1');\"><p style=\"margin-left:10px;margin-right:10px;\"><font color=\"$tcolora\"><b>"._AFFLUENZE."</font></b></p></td>\n";
+if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
+	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
+}
+if($genere==2 and $votog)
+	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
+elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
+	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTA."</font></b></p></td>\n";
+}
+echo "</tr></table></td></tr></table><hr></div>\n";
 if($ops=="1")votanti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av);
 elseif($ops=="3")preferenze($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
 elseif($ops=="4")preferenze_gruppi($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops);
-
-
 footer_mon();
-
 die();
-}
-########################################
-
-function votanti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av){
-//function votanti($id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av){
- global $aid, $prefix, $dbi,$tipo_cons,$genere,$id_cons_gen,$id_comune,$ops;
-
-$bgcolor1="#7777ff";
-$bgcolor2=$_SESSION['bgcolor2'];
-#OpenTable();
-$sql="SELECT vismf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-if($res) list($vismf)= $res->fetch(PDO::FETCH_NUM); else $vismf=0;
-$sql="SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data,orario ";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-echo "<table><tr><td>";
-$num = $res->rowCount();
-$sql="SELECT maschi,femmine FROM ".$prefix."_ele_sezioni where id_sez=$id_sez";
-$ressez = $dbi->prepare("$sql");
-$ressez->execute();
-##################
-echo "<style>";
-echo "DIV.table"; 
-echo "{
-    display:table;
-}
-FORM.tr
-{
-    display:table-row;
-	text-align: center;
-}
-DIV.tr
-{
-    display:table-row;
-	background-color: #D3D3D3;
-	text-align: center;
-}
-SPAN.tdm
-{
-    display:table-cell;
-	border: 1px solid black;
-	padding: 5px;
-}
-SPAN.td
-{
-    display:table-cell;
-}";
-echo "</style>";
-
-##################
-
-list($maschi,$femmine)=$ressez->fetch(PDO::FETCH_NUM);
-$y=0;
-echo "<div class=\"table\">";
-$riga=array();
-$rigat=array();
-while (list($ora,$giorno)= $res->fetch(PDO::FETCH_NUM)){
-	$y++;
-	$rigat[$y]='';
-	$riga[$y]='';
-	$rigat[$y]= "<div class=\"tr\">";
-	if ($genere==0){ //e' un referendum 
-		$rigat[$y].= "<span class=\"tdm\" bgcolor=\"$bgcolor1\" align=\"center\" width=\"32\"><b>"._NUM."</b></span>";
-	}
-	$rigat[$y].= "<span class=\"tdm\" bgcolor=\"$bgcolor1\" align=\"center\" width=\"32\"><b>"._ORA."</b></span>"
-	."<span class=\"tdm\" bgcolor=\"$bgcolor1\" align=\"center\" width=\"32\"><b>"._DATA."</b></span>";
-	$rigat[$y].= "<span class=\"tdm\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTIU."</b></span>";
-	$rigat[$y].= "<span class=\"tdm\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTID."</b></span>"
-	."<span class=\"tdm\" bgcolor=\"$bgcolor1\" align=\"center\"><b>"._VOTIT."</b></span>"; 
-	if ($genere==0){ 
-		$sql="SELECT * FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'  ";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-		$max = $res2->rowCount();
-	}else{ $max=1;} 
-	$op="rec_add_votanti";
-	$rigat[$y].= "</div>";
-	for ($i=1;$i<=$max;$i++){
-		$query="SELECT * FROM ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 
-		on (t1.id_gruppo=t2.id_gruppo) where t1.id_sez='$id_sez' 
-		and t1.id_cons='$id_cons' and t1.orario='$ora' and t1.data='$giorno'";
-		if ($genere==0){
-			$query.=" and t2.num_gruppo=$i";
-		}
-		$sql=$query;
-		$result = $dbi->prepare("$sql");
-		$result->execute();
-		list($id_cons2,$id_sez2,$id_parz,$orario,$data, $voti_u, $voti_d, $voti_t,$id_gruppo) = $result->fetch(PDO::FETCH_NUM);
-	   	$sql="SELECT num_gruppo FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo' ";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-		$sql="select count(0) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-		$resril = $dbi->prepare("$sql");
-		$resril->execute();
-        list($numril)=$resril->fetch(PDO::FETCH_NUM);
-		if ($res2)
-			list($gruppo)= $res2->fetch(PDO::FETCH_NUM);
-		else
-			$gruppo=0;
-		if (!$gruppo>0) {
-			$gruppo=$i;
-			$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where num_gruppo=$gruppo and id_cons=$id_cons";
-			$res3 = $dbi->prepare("$sql");
-			$res3->execute();
-			if ($res3)
-			list($id_gruppo)=$res3->fetch(PDO::FETCH_NUM);
-		}
-		if(!isset($precede[$id_gruppo])) $precede[$id_gruppo]=0; if(!isset($error)) $error=0;
-		if($precede[$id_gruppo]>($voti_t) and $voti_t!='') $error=1;
-		$precede[$id_gruppo]=$voti_t;
-		if (($voti_u+$voti_d and $voti_u+$voti_d!=$voti_t) or $error){
-			$riga[$y].= "<form class=\"tr\"  data-ajax=\"false\" style=\"background-color: rgb(255, 0, 0); text-align: center\" name=\"votanti\" action=\"modules/Elezioni/salva_aff.php\">";
-		}else{
-			$riga[$y].= "<form class=\"tr\" data-ajax=\"false\" action=\"modules/Elezioni/salva_aff.php\">";
-		}
-		if ($genere==0){ // e' un referendum
-			$riga[$y].= "<span class=\"td\" align=\"center\">$gruppo</span>";
-		}
-		$riga[$y].= "<span class=\"td\"><input type=\"hidden\" name=\"op\" value=\"rec_add_votanti\"/>";
-		$riga[$y].= "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"/>"
-		."<input type=\"hidden\" name=\"genere\" value=\"$genere\"/>"
-		."<input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"/>"
-		."<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"/>"
-		."<input type=\"hidden\" name=\"id_sede\" value=\"$id_sede\"/>"; 
-        list ($anno,$mese,$di)=explode('-',$giorno);
-		$riga[$y].= "$ora</span><span class=\"td\" align=\"center\">$di-$mese-$anno</span>";
-		if ($voti_u > $maschi) $riga[$y].= "<span class=\"td\" align=\"center\" bgcolor=\"red\">";
-		else $riga[$y].= "<span class=\"td\" align=\"center\">";
-		if ($y<$num and $vismf==0 and $voti_u==0) { $riga[$y].= "<input type=\"hidden\" id=\"voti_u$y$i\" name=\"voti_u\" value=\"'$voti_u'\"";}else $riga[$y].= "<input type=\"text\" style=\"text-align:right\" id=\"voti_u$y$i\" name=\"voti_u\" value=\"$voti_u\"";
-		$riga[$y].= " size=\"5\"/></span>";
-		if ($voti_d > $femmine) $riga[$y].= "<span class=\"td\" align=\"center\" bgcolor=\"red\"/>";
-		else $riga[$y].= "<span class=\"td\" align=\"center\">";
-		if ($y<$num and $vismf==0 and $voti_d==0) { $riga[$y].= "<input type=\"hidden\" id=\"voti_d$y$i\" name=\"voti_d\" value=\"'$voti_d'\"";}else $riga[$y].= "<input type=\"text\" style=\"text-align:right\" id=\"voti_d$y$i\" name=\"voti_d\" value=\"$voti_d\"";
-		$riga[$y].= "  size=\"5\"/></span>";
-		if ($voti_t > ($maschi+$femmine)) $riga[$y].= "<span class=\"td\" align=\"center\" bgcolor=\"red\" ><input type=\"text\" id=\"voti_t$y$i\" name=\"voti_t\" value=\"$voti_t\" size=\"5\" style=\"text-align:right\"/>";
-		else $riga[$y].= "<span class=\"td\" align=\"center\"><input id=\"voti_t$y$i\" name=\"voti_t\" value=\"$voti_t\" size=\"5\" style=\"text-align:right\"/>";
-		$riga[$y].= "<input type=\"hidden\" name=\"id_parz\" value=\"$id_parz\"/>"
-		."<input type=\"hidden\" name=\"data\" value=\"$giorno\"/>"
-		."<input type=\"hidden\" name=\"orario\" value=\"$ora\"/>"
-		."<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"/>"
-		."<input type=\"hidden\" name=\"id_gruppo\" value=\"$id_gruppo\"/>";
-		$riga[$y].= "</span>";
-		if (chisei($id_cons_gen)>=64 and $y==$numril)   $riga[$y].= "<span class=\"td\" style=\"text-align: right;\" rowspan=\"1\" colspan=\"6\">"._DELETE." <input type=\"checkbox\" name=\"delete\" value=\"true\"/></span>";
-		else $riga[$y].= "<span class=\"td\" style=\"text-align: right;\" rowspan=\"1\" colspan=\"6\"><input type=\"hidden\" name=\"delete\" value=\"\"/></span>";
-		$riga[$y].= "<span class=\"td\" style=\"text-align: right;\" rowspan=\"1\" colspan=\"6\"><input type=\"submit\" name=\"update\" value=\""._OK."\"/></span>";
-		$riga[$y].= "</form>";
-
-	}
-		echo "</div>";
-		$sql="select count(voti_complessivi) from ".$prefix."_ele_voti_parziale where data='$giorno' and orario='$ora' and id_sez=$id_sez";
-		$compl = $dbi->prepare("$sql");
-		$compl->execute();
-		list ($complessivi)= $compl->fetch(PDO::FETCH_NUM);
-	}
-	foreach($riga as $key=>$val){
-		echo $rigat[$key];
-		echo $riga[$key];
-	}
-	echo "</div></td></tr></table>";
 }
 
